class BasicAuthTestController

Same name and namespace in other branches
  1. 11.x core/modules/basic_auth/tests/modules/basic_auth_test/src/BasicAuthTestController.php \Drupal\basic_auth_test\BasicAuthTestController
  2. 10 core/modules/basic_auth/tests/modules/basic_auth_test/src/BasicAuthTestController.php \Drupal\basic_auth_test\BasicAuthTestController
  3. 9 core/modules/basic_auth/tests/modules/basic_auth_test/src/BasicAuthTestController.php \Drupal\basic_auth_test\BasicAuthTestController
  4. 8.9.x core/modules/basic_auth/tests/modules/basic_auth_test/src/BasicAuthTestController.php \Drupal\basic_auth_test\BasicAuthTestController

Provides routes for HTTP Basic Authentication testing.

Hierarchy

Expanded class hierarchy of BasicAuthTestController

File

core/modules/basic_auth/tests/modules/basic_auth_test/src/BasicAuthTestController.php, line 14

Namespace

Drupal\basic_auth_test
View source
class BasicAuthTestController extends ControllerBase {
  public function __construct(#[Autowire(service: 'page_cache_kill_switch')] private ResponsePolicyInterface $pageCacheKillSwitch) {
  }
  
  /**
   * @see \Drupal\basic_auth\Tests\Authentication\BasicAuthTest::testControllerNotCalledBeforeAuth()
   */
  public function modifyState() {
    $this->state()
      ->set('basic_auth_test.state.controller_executed', TRUE);
    return [
      '#markup' => 'Done',
    ];
  }
  
  /**
   * @see \Drupal\basic_auth\Tests\Authentication\BasicAuthTest::testControllerNotCalledBeforeAuth()
   */
  public function readState() {
    // Mark this page as being uncacheable.
    $this->pageCacheKillSwitch
      ->trigger();
    return [
      '#markup' => $this->state()
        ->get('basic_auth_test.state.controller_executed') ? 'yep' : 'nope',
      '#cache' => [
        'max-age' => 0,
      ],
    ];
  }

}

Members

Title Sort descending Modifiers Object type Summary Overrides
AutowiredInstanceTrait::createInstanceAutowired public static function Instantiates a new instance of the implementing class using autowiring.
AutowiredInstanceTrait::getAutowireArguments private static function Resolves arguments for a method using autowiring.
AutowireTrait::create public static function Instantiates a new instance of the implementing class using autowiring. 129
BasicAuthTestController::modifyState public function
BasicAuthTestController::readState public function
BasicAuthTestController::__construct public function
ControllerBase::$configFactory protected property The configuration factory.
ControllerBase::$currentUser protected property The current user service. 2
ControllerBase::$entityFormBuilder protected property The entity form builder.
ControllerBase::$entityTypeManager protected property The entity type manager.
ControllerBase::$formBuilder protected property The form builder.
ControllerBase::$keyValue protected property The key-value storage. 1
ControllerBase::$languageManager protected property The language manager. 1
ControllerBase::$moduleHandler protected property The module handler. 1
ControllerBase::$stateService protected property The state service.
ControllerBase::cache protected function Returns the requested cache bin.
ControllerBase::config protected function Retrieves a configuration object.
ControllerBase::container private function Returns the service container.
ControllerBase::currentUser protected function Returns the current user. 2
ControllerBase::entityFormBuilder protected function Retrieves the entity form builder.
ControllerBase::entityTypeManager protected function Retrieves the entity type manager.
ControllerBase::formBuilder protected function Returns the form builder service.
ControllerBase::keyValue protected function Returns a key/value storage collection. 1
ControllerBase::languageManager protected function Returns the language manager service. 1
ControllerBase::moduleHandler protected function Returns the module handler. 1
ControllerBase::redirect protected function Returns a redirect response object for the specified route.
ControllerBase::state protected function Returns the state storage service.
LoggerChannelTrait::$loggerFactory protected property The logger channel factory service.
LoggerChannelTrait::getLogger protected function Gets the logger for a specific channel.
LoggerChannelTrait::setLoggerFactory public function Injects the logger channel factory.
MessengerTrait::$messenger protected property The messenger. 26
MessengerTrait::messenger public function Gets the messenger. 26
MessengerTrait::setMessenger public function Sets the messenger.
RedirectDestinationTrait::$redirectDestination protected property The redirect destination service. 2
RedirectDestinationTrait::getDestinationArray protected function Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination protected function Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination public function Sets the redirect destination service.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language. 1

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.